package de.intevation.gnv.state;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultInputValue implements InputValue {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8518824299166180986L;
    private String name = null;
    private String type = null;
    private boolean multiselect = false;
    private int usedInQueries = 1;
    private String defaultValue = "N/N";

    public DefaultInputValue(String name, String type, String defaultValue,
                             boolean multiselect) {
        this(name, type, multiselect, 1);
        this.defaultValue = defaultValue;

    }

    /**
     * Constructor
     */
    public DefaultInputValue(String name, String type, boolean multiselect,
                             int usedInQueries) {
        this.name = name;
        this.type = type;
        this.multiselect = multiselect;
        this.usedInQueries = usedInQueries;
    }

    /**
     * @see de.intevation.gnv.state.InputValue#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.state.InputValue#getType()
     */
    public String getType() {
        return this.type;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "InputValue " + this.name + " ==> " + this.type
               + "==> multiselect: " + this.multiselect;
    }

    /**
     * @see de.intevation.gnv.state.InputValue#isMultiselect()
     */
    public boolean isMultiselect() {
        return this.multiselect;
    }

    public int usedInQueries() {
        return this.usedInQueries;
    }

    public String getDefaultValue() {
        return this.defaultValue;
    }

}
